Bug 1817096 - [RFE] Add two-phase migration for SSH transport
Summary: [RFE] Add two-phase migration for SSH transport
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.11.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.11.7
Assignee: Fabien Dupont
QA Contact: Md Nadeem
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 14:57 UTC by Fabien Dupont
Modified: 2020-05-13 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 16:45:56 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)

Description Fabien Dupont 2020-03-25 14:57:44 UTC
Description of problem:

Two-phase migration implements a different flow for disks transfer:

1. Create disks and attach them to conversion host
2. Copy source disks to "local" disks attached to conversion host
3. Run virt-v2v on local disks

One advantage is performance as the data are written directly to the disks, while initial implementation goes through ImageIO upload proxy.

Two-phase migration is only available for VDDK transport.
It would be great to have it for cold migration.

Comment 3 Fabien Dupont 2020-03-25 15:34:54 UTC
https://github.com/ManageIQ/manageiq/pull/20011

Comment 4 Fabien Dupont 2020-04-02 16:12:59 UTC
https://github.com/ManageIQ/manageiq/pull/20040

Comment 6 CFME Bot 2020-04-16 21:05:17 UTC
New commit detected on ManageIQ/manageiq/jansa:

https://github.com/ManageIQ/manageiq/commit/5f4a6c823698c1d7b52eb8ca894444ff84db262a
commit 5f4a6c823698c1d7b52eb8ca894444ff84db262a
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Apr  2 17:04:54 2020 +0000
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Apr  2 17:04:54 2020 +0000

    Merge pull request #20040 from fdupont-redhat/bz_1817096_2

    Ensure signal is queued in poll_transform_vm_complete also for warm migration

    (cherry picked from commit 65c2add79a38a44e134576be953969fa2fcebb32)

    https://bugzilla.redhat.com/show_bug.cgi?id=1817096

 app/models/infra_conversion_job.rb | 4 +-
 spec/models/infra_conversion_job_spec.rb | 14 +-
 2 files changed, 16 insertions(+), 2 deletions(-)

Comment 7 CFME Bot 2020-05-01 23:31:32 UTC
New commit detected on ManageIQ/manageiq-v2v/jansa:

https://github.com/ManageIQ/manageiq-v2v/commit/57b015c62d2ef0a764c14f9f1b592f5b0390f589
commit 57b015c62d2ef0a764c14f9f1b592f5b0390f589
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Apr  8 11:53:22 2020 +0000
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Apr  8 11:53:22 2020 +0000

    Merge pull request #1123 from mturley/bz1817096-two-phase-cold-support

    [BZ#1817096] Support for two-phase cold migrations

    (cherry picked from commit 972ee7960cdaa48e59d9055a6602973e1f7c0f3f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1817096

 app/javascript/react/screens/App/Overview/components/Migrations/MigrationInProgressListItem.js | 2 +-
 app/javascript/react/screens/App/Plan/components/PlanRequestDetailList/PlanRequestDetailListItem.js | 94 +-
 app/javascript/react/screens/App/Plan/helpers.js | 1 +
 app/javascript/react/screens/App/common/ListViewTable/ListViewTableRow.js | 4 +-
 app/javascript/react/screens/App/common/twoPhaseConstants.js | 1 +
 app/javascript/react/screens/App/common/twoPhaseHelpers.js | 76 +
 app/javascript/react/screens/App/common/warmMigrationConstants.js | 1 -
 app/javascript/react/screens/App/common/warmMigrationHelpers.js | 74 -
 8 files changed, 130 insertions(+), 123 deletions(-)

Comment 8 CFME Bot 2020-05-01 23:35:24 UTC
New commit detected on ManageIQ/manageiq/jansa:

https://github.com/ManageIQ/manageiq/commit/2362d3d5ef3b5ed7382f6cf7e74617ed6aac35b6
commit 2362d3d5ef3b5ed7382f6cf7e74617ed6aac35b6
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Apr  8 13:05:15 2020 +0000
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Apr  8 13:05:15 2020 +0000

    Merge pull request #20011 from fdupont-redhat/v2v_enable_two_phase_for_ssh

    Allow two-phase migration for SSH transport method

    (cherry picked from commit 2ef15ce8a917125017bd6c6062173f262651e57e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1817096

 app/models/infra_conversion_job.rb | 6 +-
 app/models/service_template_transformation_plan_task.rb | 26 +-
 spec/models/infra_conversion_job_spec.rb | 9 +-
 spec/models/service_template_transformation_plan_task_spec.rb | 31 +-
 4 files changed, 49 insertions(+), 23 deletions(-)

Comment 9 Fabien Dupont 2020-05-13 16:45:56 UTC
Warm migration and UCI will finally not be implemented in CloudForms.
Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.